Skip to content

Update ASN Review Status.

POST
/api/infraprotect/namespaces/{namespace}/infraprotect_asns/update-asn-review-status
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_asns/update-asn-review-status \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example", "review_type_approved": {}, "review_type_pending": {}, "review_type_rejected": {} }'

Update Infraprotect ASN Review Status.

Examples of this operation.

namespace
required
string

Namespace

x-required Namespace in which the infraprotect ASN review status is to be updated.

Media typeapplication/json
Update Infraprotect ASN Review Status

Request to update infraprotect ASN review status.

object
name
name

The name of the infraprotect ASN object to be updated.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace in which the infraprotect ASN review status is to be updated Required: YES.

string
>= 6 characters <= 1024 characters
review_type_approved
object
review_type_pending
object
review_type_rejected
object
Examplegenerated
{
"name": "example",
"namespace": "example",
"review_type_approved": {},
"review_type_pending": {},
"review_type_rejected": {}
}

A successful response.

Media typeapplication/json
Update ASN Review Status Response

Response returned from a ASN review status update.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example